## mrtrix3 3.0~rc3%2Bgit135-g2b8e7d0c2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# get octave paths (have to build-depend on octave-headers)
include /usr/share/octave/debian/defs.make
# same for Matlab
include /usr/share/matlab/debian/defs.make

# on older systems such as 16.04 PIE is not enabled by  default and
# configure them fails # to link
DISABLE_HARDENING_OPTS=$(shell  g++ -v 2>&1 | grep -q -e --enable-default-pie || echo ",-pie")
export DEB_BUILD_MAINT_OPTIONS=hardening=+all$(DISABLE_HARDENING_OPTS)

# To avoid --match=native since wouldn't be supported on some platforms
export CPP_MARCH=

include /usr/share/dpkg/architecture.mk
# guarantee the same precision on x86 platforms for tests
ifneq (,$(findstring z$(DEB_HOST_ARCH)z,zamd64z zi386z))
    CFLAGS+=-mmmx -msse -msse2 -mfpmath=sse
endif

# To prevent any online interactions
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	./configure -openmp # -debug

override_dh_auto_build:
	./build -verbose

override_dh_install:
	dh_install
	# Remove __pycache__ dirs that were created in build time tests
	find debian -name __pycache__ -type d | xargs rm -rf

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./run_tests || { cat testing.log; exit 1; }
endif

override_dh_link:
	cp debian/mrtrix3.links.in debian/mrtrix3.links
	: # Generate symlinks for all the mr* commands
	for f in debian/mrtrix3/usr/lib/mrtrix3/bin/mrview; do \
		bn=$$(basename $$f); \
		echo "usr/lib/mrtrix3/bin/$$bn usr/bin/$$bn" >> debian/mrtrix3.links; \
	    echo "/usr/share/man/man1/mrtrix3.1.gz /usr/share/man/man1/$$bn.1.gz" >> debian/mrtrix3.links; \
	done
	echo "/usr/share/mrtrix3/matlab $(MATLAB_MDIR)/mrtrix" >> debian/mrtrix3.links
	echo "/usr/share/mrtrix3/matlab $(MDIR)/mrtrix" >> debian/mrtrix3.links
	dh_link

# we want immediately useable docs and example data, they are in a dedicated
# package already
override_dh_compress:
	dh_compress -X.html

override_dh_clean:
	./build clean
	find . -name '*.pyc' -delete
	-rm clean \
		config configure.log build.log \
		core/version.cpp lib/mrtrix3/_version.py src/exec_version.cpp
	dh_clean
	@rm -f debian/mrtrix.links

override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/lib

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mrtrix3 3.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MRtrix.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MRtrix.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MRtrix"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MRtrix"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## mrtrix3 3.0~rc3+git135-g2b8e7d0c2

=== debian/changelog ===
mrtrix3 (3.0~rc3+git135-g2b8e7d0c2-5) unstable; urgency=medium

  * Team upload.
  * Build-Depends: s/qtbase5-dev-tools/qtbase5-dev/
    Closes: #949526
  * Architecture: any-amd64 arm64
    Closes: #953063, #916284
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 14:18:14 +0100

mrtrix3 (3.0~rc3+git135-g2b8e7d0c2-4) unstable; urgency=medium

  * Team upload.
  * QT4 -> Qt5
     - s/libqt4-opengl-dev/libqt5opengl5-dev/
     - Add some missing Build-Depends
     - d/rules: export QT_SELECT=qt5
    Closes: #939627
  * Standards-Version: 4.4.1
  * Build using python3 instead of python2
    Closes: #937091
  * Use /usr/share/dpkg/architecture.mk to obtain architecture
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 10.
  * Remove deprecated Encoding key from desktop file
    debian/mrtrix3.desktop.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix symlink for manpage
    Closes: #916775

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 15:26:59 +0100

mrtrix3 (3.0~rc3+git135-g2b8e7d0c2-3) unstable; urgency=medium

  * Clean up *.py? files upon install
  * debian/control, debian/patches/up_blend_python - just ask/use default
    Python (currently python2)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2019 14:49:00 -0500

mrtrix3 (3.0~rc3+git135-g2b8e7d0c2-2) neurodebian; urgency=medium

  * Picked up two commits from upstream's origin/simplify_gl_core_header
    to resolve i386 build failure
  * Fix symlinks for the manpages to point to mrtrix3.1.gz
    not the absent mrtrix.1.gz (Closes: #916775)
  * Ship Python mrtrix3 module for internal use:
    - Many tools rely on Python (2) support module, which was omitted

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Jan 2019 23:32:15 -0500

mrtrix3 (3.0~rc3+git135-g2b8e7d0c2-1) UNRELEASED; urgency=medium

  * Fresh upstream snapshot
    - potentially fixes FTBFS on some non-x32 platforms where failure was
      due to the absent SSE support and xmmintrin.h
  * debian/gbp.conf
    - adjusted to relfect used branches layout, where debian branch is based on
      (original) upstream's master branch.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Dec 2018 17:28:22 -0500

mrtrix3 (3.0~rc3+git86-g4b523b413-2) neurodebian; urgency=medium

  * Need to disable PIE on older systems

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Nov 2018 23:08:01 -0500

mrtrix3 (3.0~rc3+git86-g4b523b413-1) unstable; urgency=medium

  * Initial packaging based on mrtrix package (Closes: #907978)
  * Initial packaging for mrtrix3 as a separate source package to
    allow retaining (although with installation conflict) of both
    2 and 3 series

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Sep 2018 10:07:15 -0400

=== debian/control ===
Source: mrtrix3
Maintainer: Debian Med Packaging Team <debian-med-packaging@alioth-lists.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               liboctave-dev,
               libgsl-dev | libgsl0-dev,
               libeigen3-dev,
               libqt5opengl5-dev,
               qtbase5-dev,
               libqt5svg5-dev,
               python3,
               pkg-config,
               libgtkmm-2.4-dev,
               libgtkglext1-dev,
               imagemagick,
               libtiff-dev,
               matlab-support-dev,
               bc,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/mrtrix3
Vcs-Git: https://salsa.debian.org/med-team/mrtrix3.git
Homepage: https://www.mrtrix.org
Rules-Requires-Root: no

Package: mrtrix3
Architecture: any-amd64 arm64
Section: science
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
Recommends: python3-numpy
Conflicts: mrtrix
Suggests: mrtrix3-doc,
          octave,
          matlab-support
Description: diffusion-weighted MRI white matter tractography
 Set of tools to perform diffusion-weighted MRI white matter tractography of the
 brain in the presence of crossing fibres, using Constrained Spherical
 Deconvolution, and a probabilisitic streamlines algorithm. Magnetic resonance
 images in DICOM, ANALYZE, or uncompressed NIfTI format are supported.

Package: mrtrix3-doc
Architecture: all
Section: doc
Conflicts: mrtrix-doc
Depends: ${misc:Depends}
Description: documentation for mrtrix3
 Set of tools to perform diffusion-weighted MRI white matter tractography of the
 brain in the presence of crossing fibres, using Constrained Spherical
 Deconvolution, and a probabilisitic streamlines algorithm. Magnetic resonance
 images in DICOM, ANALYZE, or uncompressed NIfTI format are supported.
 .
 This package provides the documentation in HTML format.

=== debian/watch ===
version=4

http://github.com/MRtrix3/mrtrix3/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## mrtrix3 3.0.3

=== debian/changelog ===
mrtrix3 (3.0.3-3) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: replace build dependency liboctave-dev by octave-dev.
    (Closes: #1014140)
  * Standards-Version: 4.6.1 (routine-update)
  * d/watch: use https protocol, to refer to a secure URI.
  * d/rules: forward build flags to the build process.
  * d/control: remove unnecessary build-dependency to libgsl0-dev.

 -- Étienne Mollier <emollier@debian.org>  Fri, 01 Jul 2022 14:29:06 +0200

mrtrix3 (3.0.3-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watch file

  [ Julien Lamy ]
  * Fix compatibility with Eigen 3.4 Closes: #1002203

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove Section on mrtrix3 that duplicates source.
  * Apply multi-arch hints.
    + mrtrix3-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 15:58:07 +0100

mrtrix3 (3.0.3-1) unstable; urgency=medium

  * Most recent upstream release. Closes: #961051
  * debian/patches - refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Sep 2021 14:54:31 -0400

mrtrix3 (3.0.2-1) UNRELEASED; urgency=medium

  [ Andreas Tille ]
  * Fix team address

  [ Yaroslav Halchenko ]
  * Fresh upstream release
    Was supposed to close #961051
  * remove debian/gbp.conf to simply conform to the team setup
  * disable running tests since require test data which is not shipped
    along

  [ Julien Lamy ]
  * Refresh patches
  * Fix debian/rules clean
  * debian/patches/mrtrix_version.patch fixes building from a
    Debianized Git repository
  * Standards-Version: 4.5.1 (routine-update)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Mar 2021 11:43:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: mrtrix3
-Maintainer: Debian Med Packaging Team <debian-med-packaging@alioth-lists.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               liboctave-dev,
-               libgsl-dev | libgsl0-dev,
+               octave-dev,
+               libgsl-dev,
                libeigen3-dev,
                libqt5opengl5-dev,
                qtbase5-dev,
@@ -19,8 +20,8 @@
                imagemagick,
                libtiff-dev,
                matlab-support-dev,
-               bc,
-Standards-Version: 4.5.0
+               bc
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/mrtrix3
 Vcs-Git: https://salsa.debian.org/med-team/mrtrix3.git
 Homepage: https://www.mrtrix.org
@@ -28,15 +29,14 @@
 
 Package: mrtrix3
 Architecture: any-amd64 arm64
-Section: science
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         python3,
+         python3
 Recommends: python3-numpy
-Conflicts: mrtrix
 Suggests: mrtrix3-doc,
           octave,
           matlab-support
+Conflicts: mrtrix
 Description: diffusion-weighted MRI white matter tractography
  Set of tools to perform diffusion-weighted MRI white matter tractography of the
  brain in the presence of crossing fibres, using Constrained Spherical
@@ -45,9 +45,10 @@
 
 Package: mrtrix3-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
+Depends: ${misc:Depends}
 Conflicts: mrtrix-doc
-Depends: ${misc:Depends}
 Description: documentation for mrtrix3
  Set of tools to perform diffusion-weighted MRI white matter tractography of the
  brain in the presence of crossing fibres, using Constrained Spherical

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 
 # To avoid --match=native since wouldn't be supported on some platforms
 export CPP_MARCH=
+# upstream have their own interpretation of build flags
+export CFLAGS+=$(CPPFLAGS) $(CXXFLAGS)
+export LINKFLAGS=$(LDFLAGS)
 
 include /usr/share/dpkg/architecture.mk
 # guarantee the same precision on x86 platforms for tests
@@ -41,15 +44,20 @@
 	find debian -name __pycache__ -type d | xargs rm -rf
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	./run_tests || { cat testing.log; exit 1; }
-endif
+# Disabled for now since require test data which is linked
+# via git submodules in original upstream github
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	./run_tests || { cat testing.log; exit 1; }
+#endif
 
 override_dh_link:
 	cp debian/mrtrix3.links.in debian/mrtrix3.links
 	: # Generate symlinks for all the mr* commands
-	for f in debian/mrtrix3/usr/lib/mrtrix3/bin/mrview; do \
+	for f in debian/mrtrix3/usr/lib/mrtrix3/bin/*; do \
 		bn=$$(basename $$f); \
+		if [ "$$bn" = "dirsplit" ]; then \
+			continue; \
+		fi; \
 		echo "usr/lib/mrtrix3/bin/$$bn usr/bin/$$bn" >> debian/mrtrix3.links; \
 	    echo "/usr/share/man/man1/mrtrix3.1.gz /usr/share/man/man1/$$bn.1.gz" >> debian/mrtrix3.links; \
 	done
@@ -63,11 +71,12 @@
 	dh_compress -X.html
 
 override_dh_clean:
-	./build clean
+	[ -f config ] && python3 ./build clean || true
 	find . -name '*.pyc' -delete
 	-rm clean \
 		config configure.log build.log \
-		core/version.cpp lib/mrtrix3/_version.py src/exec_version.cpp
+		core/version.cpp lib/mrtrix3/_version.py src/exec_version.cpp \
+		icons/mrview.qrc icons/shview.qrc
 	dh_clean
 	@rm -f debian/mrtrix.links

## mrtrix3 3.0.4

=== docs/requirements.txt ===
sphinx-notfound-page

=== debian/changelog ===
mrtrix3 (3.0.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:02 +1100

mrtrix3 (3.0.4-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:59:04 +0000

mrtrix3 (3.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * eigen-3.4.patch: delete; applied upstream.
  * debian_build_cfg patch: unfuzz.
  * mrtrix_version.patch: unfuzz.
  * python3.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Aug 2023 16:34:05 +0200

mrtrix3 (3.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dependencies gtkmm, gtkglext. Closes: #1041794

 -- Bastian Germann <bage@debian.org>  Mon, 31 Jul 2023 17:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mrtrix3
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Étienne Mollier <emollier@debian.org>
@@ -15,13 +16,11 @@
                libqt5svg5-dev,
                python3,
                pkg-config,
-               libgtkmm-2.4-dev,
-               libgtkglext1-dev,
                imagemagick,
                libtiff-dev,
                matlab-support-dev,
                bc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mrtrix3
 Vcs-Git: https://salsa.debian.org/med-team/mrtrix3.git
 Homepage: https://www.mrtrix.org

=== debian/watch ===
version=4
https://github.com/MRtrix3/mrtrix3/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## mrtrix3 3.0.8

=== docs/requirements.txt ===
sphinx-rtd-theme
sphinx-notfound-page

=== debian/changelog ===
mrtrix3 (3.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1123518
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * d/copyright: review
  * Build-Conflicts: clang
    Closes: #1114646
  * Do not run Salsa CI for i386

 -- Andreas Tille <tille@debian.org>  Wed, 17 Dec 2025 14:44:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mrtrix3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Étienne Mollier <emollier@debian.org>
@@ -15,12 +14,13 @@
                qtbase5-dev,
                libqt5svg5-dev,
                python3,
-               pkg-config,
+               pkgconf,
                imagemagick,
                libtiff-dev,
                matlab-support-dev,
                bc
-Standards-Version: 4.6.2
+Build-Conflicts: clang
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/mrtrix3
 Vcs-Git: https://salsa.debian.org/med-team/mrtrix3.git
 Homepage: https://www.mrtrix.org

=== debian/watch ===
Version: 5

Template: Github
Owner: MRtrix3
Project: mrtrix3
